com.microfocus.awm.meta.interfaces

## Enum ERetrieveAllValues

- java.lang.Object
- - java.lang.Enum<ERetrieveAllValues>
  - - com.microfocus.awm.meta.interfaces.ERetrieveAllValues

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ERetrieveAllValues>, org.eclipse.emf.common.util.Enumerator

      public enum ERetrieveAllValues
      extends java.lang.Enum<ERetrieveAllValues>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'ERetrieve All Values', and utility methods for working with them.
  See Also:
    `TaurusPackage.getERetrieveAllValues()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MATCHING_PROPERTY` The 'Matching Property' literal object.
    `OUTPUT_TABLE` The 'Output Table' literal object.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MATCHING_PROPERTY_VALUE` The 'Matching Property' literal value.
    `static int` | `OUTPUT_TABLE_VALUE` The 'Output Table' literal value.
    `static java.util.List<ERetrieveAllValues>` | `VALUES` A public read-only list of all the 'ERetrieve All Values' enumerators.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ERetrieveAllValues` | `get(int value)` Returns the 'ERetrieve All Values' literal with the specified integer value.
    `static ERetrieveAllValues` | `get(java.lang.String literal)` Returns the 'ERetrieve All Values' literal with the specified literal value.
    `static ERetrieveAllValues` | `getByName(java.lang.String name)` Returns the 'ERetrieve All Values' literal with the specified name.
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation.
    `static ERetrieveAllValues` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ERetrieveAllValues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MATCHING_PROPERTY

          public static final ERetrieveAllValues MATCHING_PROPERTY

      The 'Matching Property' literal object.
      See Also:
        `MATCHING_PROPERTY_VALUE`

    - #### OUTPUT_TABLE

          public static final ERetrieveAllValues OUTPUT_TABLE

      The 'Output Table' literal object.
      See Also:
        `OUTPUT_TABLE_VALUE`

  - ### Field Detail

    - #### MATCHING_PROPERTY_VALUE

          public static final int MATCHING_PROPERTY_VALUE

      The 'Matching Property' literal value.

      If the meaning of 'Matching Property' literal object isn't clear, there really should be more of a description here...

      See Also:
        `MATCHING_PROPERTY`, Constant Field Values

    - #### OUTPUT_TABLE_VALUE

          public static final int OUTPUT_TABLE_VALUE

      The 'Output Table' literal value.

      If the meaning of 'Output Table' literal object isn't clear, there really should be more of a description here...

      See Also:
        `OUTPUT_TABLE`, Constant Field Values

    - #### VALUES

          public static final java.util.List<ERetrieveAllValues> VALUES

      A public read-only list of all the 'ERetrieve All Values' enumerators.

  - ### Method Detail

    - #### values

          public static ERetrieveAllValues[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ERetrieveAllValues c : ERetrieveAllValues.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ERetrieveAllValues valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static ERetrieveAllValues get(java.lang.String literal)

      Returns the 'ERetrieve All Values' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static ERetrieveAllValues getByName(java.lang.String name)

      Returns the 'ERetrieve All Values' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static ERetrieveAllValues get(int value)

      Returns the 'ERetrieve All Values' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<ERetrieveAllValues>`

Copyright © 2015 Micro Focus GmbH. All rights reserved.